<!--
  Generated template for the CartModalPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="haldin-header">
    <h3 style="margin-right: auto; margin-left: auto;">keranjang belanja</h3>
  </ion-navbar>

</ion-header>


<ion-content fullscreen>
  <div class="ion-padding">
 
    <ion-list>
      <ion-item *ngFor="let p of cart" class="ion-text-wrap">
        <ion-grid>
          <ion-row class="ion-align-items-center">
		    <img src="https://apps.haldinfoods.com/public/image/products/{{p.product_image}}" alt="" item-left class="product-thumb" width="60px" height="60px" />
            
			<ion-col size="1" class="ion-align-self-center">              
			  <button ion-button color="light" (click)="decreaseCartItem(p)" fill="clear"> 
				<ion-icon name="remove-circle" slot="icon-only"></ion-icon>
			  </button>
            </ion-col>
 
            <ion-col size="1" class="ion-align-self-center">
               <span style="font-size: 14px;" (click)="showPromptCart(p)">{{ p.amount }} QTY</span>	
            </ion-col>
               
            <ion-col size="1" class="ion-align-self-center">
			   <button ion-button color="secondary" (click)="increaseCartItem(p)" fill="clear"> 
				<ion-icon name="add-circle" slot="icon-only"></ion-icon>
			  </button>
            </ion-col>
 
            <ion-col size="1" offset="5">
			   <button ion-button color="danger" (click)="removeCartItem(p)" fill="clear"> 
				<ion-icon name="close-circle" slot="icon-only"></ion-icon>
			   </button>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="9">
              <span style="font-size: 14px;">{{ p.product_name }}</span>			 
            </ion-col>
            <ion-col size="3" class="ion-text-end">
              <span style="font-size: 14px;"><b> {{ p.amount * p.price | currency : "Rp." : 0  }} </b></span>			  
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
      <ion-item>
        <ion-grid>
          <ion-row>
            <!-- <ion-col size="9">
              <b>Total:</b>
            </ion-col>
            <ion-col size="3" class="ion-text-end">
              {{ getTotal() | currency : "Rp." : 0 }}
            </ion-col> -->
          </ion-row>
        </ion-grid>
      </ion-item>
    </ion-list>
 
    <!-- <p padding>
		<button ion-button block color="primary" class="button-color"(click)="checkout()"> 
		Checkout
		</button>
	</p> -->
  </div>
</ion-content>

<ion-footer>
   <div *ngIf=" todo.providerUser != 'Sales'">
		<ion-list no-margin>
			<ion-item no-padding color="haldin-header"> 
			
			   <ion-label padding-left>
				<b><span class="font-color-green">Total</span><span class="font-color-blue">:</span></b>
				<b>{{ getTotal() | currency : "Rp." : 0 }}</b>
			   </ion-label>
			 
			  <button item-end ion-button color="primary" (click)="checkout()" icon-left>
				<ion-icon name="cart"></ion-icon>
				Checkout
			  </button>
			  
			</ion-item>
		</ion-list>
   </div>
   
    <div *ngIf=" todo.providerUser == 'Sales'">
		<ion-list no-margin>
			<ion-item no-padding color="haldin-header"> 
			
			   <ion-label padding-left>
				<b><span class="font-color-green">Total</span><span class="font-color-blue">:</span></b>
				<b>{{ getTotal() | currency : "Rp." : 0 }}</b>
			   </ion-label>
			 
			  <button item-end ion-button color="primary" (click)="create_oc()" icon-left>
				<ion-icon name="cart"></ion-icon>
				Create OC
			  </button>
			  
			</ion-item>
		</ion-list>
   </div>
</ion-footer>
